## vlc 2.2.8

=== debian/changelog ===
vlc (2.2.8-2~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 22 Dec 2017 15:24:19 -0800

vlc (2.2.8-2) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix build with libupnp-dev
    1.6.24-1.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Dec 2017 21:42:58 +0100

vlc (2.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 23 Nov 2017 22:19:07 +0100

vlc (2.2.7-1) unstable; urgency=high

  * New upstream release.
    - Fix AVI read/write overflow.
  * debian/control: Bump Standards-Version.
  * debian/patches: Remove patches included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Nov 2017 14:05:04 +0100
