## vlc 3.0.1

=== debian/changelog ===
vlc (3.0.1-3build1) bionic; urgency=medium

  * No-change rebuild for libnfs soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 21:05:11 +0000

vlc (3.0.1-3) unstable; urgency=medium

  * debian/control: Re-add some Breaks+Replaces to help Ubuntu reduce the diff
    and be able to handle upgrades from 16.04 to 18.04. (LP: #1753111,
    #1749916)
  * debian/rules:
    - Re-enable Chromecast plugin on Ubuntu. Apparently it works now.
    - Fix typo to really build with all hardening options enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Mar 2018 21:52:05 +0100

vlc (3.0.1-2) unstable; urgency=medium

  * debian/patch: Add missing files for arm64.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Mar 2018 16:28:28 +0100

vlc (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump libplacebo-dev B-D to 0.2.1 (required by upstream).

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Mar 2018 11:32:12 +0100

vlc (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.symbols:
    - Bump all newly introduced symbols to version 3.0.0.
    - Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Feb 2018 16:40:34 +0100

vlc (3.0.0~rc8-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Feb 2018 20:00:43 +0100

vlc (3.0.0~rc7-2) unstable; urgency=medium

  * debian/: Disable freerdp plugin. freerdp2 is currently not supported.
    (Closes: #888323)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 25 Jan 2018 00:15:17 +0100

vlc (3.0.0~rc7-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Jan 2018 22:34:33 +0100

vlc (3.0.0~rc6-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/control: Annotate Build-Depends: python3 with :native. (Closes:
    #887440)

  [ Sebastian Ramacher ]
  * New upstream release candidate.
  * debian/rules:
    - Handle vendor consistently.
    - Remove workaround for some resources.
  * debian/vlc-plugin-base.install: Install lua byte code.
  * debian/libvlc-bin.postinst.in: Exit early if plugins directory does not
    exist. (Closes: #887621)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 18 Jan 2018 22:31:56 +0100

vlc (3.0.0~rc5-1) unstable; urgency=medium

  * New upstream release candidate.
    - Fix crash in full-screen mode. (LP: #1740078)
  * debian/copyright: Update copyright years.
  * debian/patches: Removed, included upstream.
  - debian/control: Demote vlc-l10n from Depends to Recommends.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Jan 2018 19:41:02 +0100

vlc (3.0.0~rc4-3) unstable; urgency=medium

  * debian/control:
    - Move to salsa.debian.org
    - Remove obsolete Pre-Depends.
  * debian/NEWS: Remove old NEWS from pre 2.x.
  * debian/:
    - Move documentation to /usr/share/doc/$mainpkg as recommended by policy.
    - Bump debhelper compat to 11.
  * debian/copyright: Bump copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2018 14:17:42 +0100

vlc (3.0.0~rc4-2) unstable; urgency=medium

  * debian/control: Add Breaks on phonon-backend-vlc to ensure proper
    upgrades.
  * debian/rules: Do not build chromecast plugin on Ubuntu. It fails due to
    issues involving Mir and protobuf.
  * debian/: Enable libplacebo.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jan 2018 09:51:06 +0100

vlc (3.0.0~rc4-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Dec 2017 18:56:14 +0100

vlc (3.0.0~rc2-2) unstable; urgency=medium

  * debian/*.maintscript: Fix symlink to directory conversions.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Dec 2017 21:48:00 +0100

vlc (3.0.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * debian/tests/control: Update list of plugin packages.
  * debian/patches: Removed, no longer needed.
  * debian/vlc-plugin-access-extra.install: Drop no longer built plugin.
  * debian/*.symbols: Add new symbols and bump versions of new symbols to
    3.0.0~rc2.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Dec 2017 23:34:22 +0100

vlc (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control: Move Breaks+Replaces to correct package. (Closes: #884063)
  * debian/:
    - Mark more plugins only built on linux-any.
    - Switch libnotify plugin to GTK+ 3.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Dec 2017 21:46:02 +0100

vlc (3.0.0~rc1~20171210-2) experimental; urgency=medium

  * debian/rules: Ensure tighter dependencies on libraries.
  * debian/: Build wayland plugins only on linux-any.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2017 19:17:48 +0100

vlc (3.0.0~rc1~20171210-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/: Install nfs plugin only on linux-any.
  * debian/*.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2017 13:11:23 +0100

vlc (3.0.0~rc1~20171206-1) experimental; urgency=medium

  * New upstream snapshot.
    - Install vlc_interface.h. (Closes: #768808)
    - Fix stuttering with ALSA output. (Closes: #734100) (LP: #1639479)
    - Fix CRC errors in some FLAC files. (Closes: #772503)
    - Add support for Wayland. (Closes: #857769) (LP: #1720901)
    - Better support for HLS. (Closes: #792647)
    - Update VLSub. (Closes: #868236)
    - Re-write UPnP discovery. (LP: #977277, #1318262)
    - Complete porting to Qt 5. (LP: #1576175)
    - Fix issues with green borders. (Closes: #765969) (LP: #1405166)
  * Remove embedded ffmpeg copy. (LP: #1546078)
  * SONAME bump: libvlccore8 -> libvlccore9.
  * debian/patches: Drop all patches.
  * debian/libvlc-bin.postinst.in: Skip plugin cache generation if no plugins

