=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Christophe Mutricy <xtophe@videolan.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
@@ -13,61 +11,71 @@
            Mateusz Łukasik <mati75@linuxmint.pl>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: autopoint,
-               debhelper (>= 10),
+               bison,
+               debhelper (>= 11),
                gettext,
+               flex,
                liba52-0.7.4-dev,
                libaa1-dev,
+               libarchive-dev (>= 3.1.0),
+               libaribb24-dev,
                libasound2-dev (>= 1.0.24) [linux-any],
                libass-dev (>= 0.9.8),
                libavahi-client-dev,
                libavc1394-dev (>= 0.5.3) [linux-any],
-#              libavcodec-dev (>= 6:9),
-#              libavformat-dev (>= 4:0.6),
-               libbluray-dev (>= 1:0.3.0),
+               libavcodec-dev (>= 7:3.0),
+               libavformat-dev (>= 7:3.0),
+               libavresample-dev (>= 7:3.0),
+               libbluray-dev (>= 1:0.6.2),
                libcaca-dev (>= 0.99.beta4),
                libcairo2-dev (>= 1.13.1),
                libcddb2-dev,
-               libcdio-dev (>= 0.78.2),
                libchromaprint-dev (>= 0.6.0),
                libcrystalhd-dev [amd64 i386],
                libdbus-1-dev (>= 1.6.0),
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
-               libdvbpsi-dev,
-               libdvdnav-dev (>> 4.9.0),
-               libdvdread-dev (>> 4.9.0),
+               libdvbpsi-dev (>= 1.2.0),
+               libdvdnav-dev (>= 4.9.0),
+               libdvdread-dev (>= 4.9.0),
                libegl1-mesa-dev,
                libfaad-dev,
                libflac-dev (>= 1.1.2-3),
                libfluidsynth-dev (>= 1.1.2),
-               libfreerdp-dev (>= 1.0.1),
                libfreetype6-dev,
                libfribidi-dev,
                libgl1-mesa-dev,
                libgles2-mesa-dev,
-               libgnutls28-dev (>= 3.0.20),
-               libgtk2.0-dev,
+               libgnutls28-dev (>= 3.3.6),
+               libgtk-3-dev,
+               libharfbuzz-dev,
                libidn11-dev,
                libiso9660-dev (>= 0.72),
-               libjack-dev,
+               libjack-jackd2-dev | libjack-dev,
                libkate-dev (>= 0.3.0),
                liblirc-dev,
                liblivemedia-dev (>= 2011.12.23),
                liblua5.2-dev,
                libmad0-dev,
                libmatroska-dev (>= 1.0.0),
+               libmicrodns-dev,
                libmpcdec-dev,
                libmpeg2-4-dev,
+               libmpg123-dev,
                libmtp-dev (>= 1.0.0),
                libncursesw5-dev,
+               libnfs-dev (>= 1.10.0) [linux-any],
                libnotify-dev,
                libogg-dev (>= 1.0),
                libomxil-bellagio-dev [linux-any],
                libopenmpt-modplug-dev | libmodplug-dev (>= 1:0.8.8.1),
                libopus-dev (>= 1.0.3),
+               libplacebo-dev (>= 0.2.1) [linux-any],
                libpng-dev,
-#              libpostproc-dev (>= 4:0.6),
+               libpostproc-dev (>= 7:3.0),
+               libprotobuf-dev (>= 2.5.0),
                libpulse-dev (>= 1.0),
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
                libraw1394-dev (>= 2.0.1) [linux-any],
                libresid-builder-dev,
@@ -75,15 +83,18 @@
                libsamplerate0-dev,
                libsdl-image1.2-dev,
                libsdl1.2-dev (>= 1.2.10),
+               libsecret-1-dev,
                libshine-dev (>= 3.0.0),
                libshout3-dev,
                libsidplay2-dev,
                libsmbclient-dev [!hurd-any],
                libsndio-dev,
+               libsoxr-dev (>= 0.1.2),
                libspeex-dev (>= 1.0.5),
                libspeexdsp-dev (>= 1.0.5),
                libssh2-1-dev,
-#              libswscale-dev (>= 4:0.6),
+               libswscale-dev (>= 7:3.0),
+               libsystemd-dev [linux-any],
                libtag1-dev (>= 1.9),
                libtheora-dev (>= 1.0),
                libtwolame-dev (>= 0.3.8),
@@ -113,40 +124,28 @@
                lua5.2,
                oss4-dev [kfreebsd-any],
                pkg-config,
-               python3,
-               qtbase5-dev (>= 5.1),
+               protobuf-compiler,
+               python3:native,
+               qtbase5-dev (>= 5.6),
+               qtbase5-private-dev (>= 5.6),
+               wayland-protocols [linux-any],
                zlib1g-dev,
-               zsh,
-# for embedded ffmpeg
-               libbz2-dev,
-               libgme-dev,
-               libgsm1-dev,
-               liblzma-dev,
-               libmp3lame-dev,
-               librtmp-dev,
-               libsnappy-dev,
-               libsoxr-dev,
-               libssh-gcrypt-dev,
-               libvpx-dev,
-               libwavpack-dev,
-               libwebp-dev,
-               libxvidcore-dev,
-               yasm
-Standards-Version: 4.1.1
+               zsh
+Standards-Version: 4.1.3
 Homepage: https://www.videolan.org/vlc/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vlc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/vlc.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc
+Rules-Requires-Root: no
 
 Package: vlc
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: vlc-bin (= ${binary:Version}),
          vlc-plugin-base (= ${binary:Version}),
          vlc-plugin-qt (= ${binary:Version}),
          vlc-plugin-video-output (= ${binary:Version}),
-         vlc-l10n (= ${source:Version}),
          ${misc:Depends}
-Recommends: vlc-plugin-notify (= ${binary:Version}),
+Recommends: vlc-l10n (= ${source:Version}),
+            vlc-plugin-notify (= ${binary:Version}),
             vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
             vlc-plugin-skins2 (= ${binary:Version}),
             vlc-plugin-video-splitter (= ${binary:Version}),
@@ -170,19 +169,17 @@
   * vlc-plugin-jack
   * vlc-plugin-notify
   * vlc-plugin-samba
-  * vlc-plugin-sdl
   * vlc-plugin-skins2
   * vlc-plugin-svg
   * vlc-plugin-video-splitter
   * vlc-plugin-visualization
-  * vlc-plugin-zvbi
 
 Package: libvlc-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libvlc5 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libvlc5 (= ${binary:Version}),
+         ${misc:Depends}
 Description: development files for libvlc
  This package contains headers and a static library required to build
  standalone applications that use VLC features.
@@ -195,9 +192,11 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libvlc-bin (= ${binary:Version})
+Breaks: phonon-backend-vlc (<< 0.9.1-2~),
+        phonon4qt5-backend-vlc (<< 0.9.1-2~)
 Description: multimedia player and streamer library
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -210,8 +209,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libvlccore8 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libvlccore9 (= ${binary:Version}),
+         ${misc:Depends}
 Description: development files for libvlccore
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -220,14 +219,14 @@
  This package contains headers and a static library required to build plugins
  for VLC.
 
-Package: libvlccore8
+Package: libvlccore9
 Section: libs
 Multi-Arch: same
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libproxy-tools
+Provides: ${vlc:PluginABI}
 Description: base library for VLC and its modules
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -249,9 +248,11 @@
 
 Package: vlc-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libvlc-bin (= ${binary:Version})
+Depends: libvlc-bin (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: vlc-nox (<< 3.0.0-1~)
+Replaces: vlc-nox (<< 3.0.0-1~)
 Description: binaries from VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -263,7 +264,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: Common data for VLC
+Description: common data for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
@@ -276,7 +277,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: Translations for VLC
+Breaks: vlc-data (<< 3.0.0-1~)
+Replaces: vlc-data (<< 3.0.0-1~)
+Description: translations for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
  podcasts, and multimedia streams from various network sources.
@@ -286,11 +289,14 @@
 Package: vlc-plugin-base
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: vlc-data (= ${source:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
-         vlc-data (= ${source:Version})
+         ${vlc:PluginABI}
 Recommends: xdg-utils
 Suggests: libdvdcss2
+Breaks: vlc-plugin-zvbi (<< 3.0.0-1~)
+Replaces: vlc-plugin-zvbi (<< 3.0.0-1~)
 Description: multimedia player and streamer (base plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -303,7 +309,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${vlc:PluginABI}
 Enhances: vlc
 Description: multimedia player and streamer (extra access plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
@@ -316,8 +323,3 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Enhances: vlc
-Description: multimedia player and streamer (video output plugins)
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
- DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
